import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * The Pokeworld.
 * 
 * @author GreenHouse
 */
public class PokeWorld extends World
{
    Player player = new Player();

    
    public PokeWorld()
    {    
        super(600, 400, 1);
        
        // make the world endless
        setEndless(true);
        
       
        
        // create some stuff
        for(int i=0; i<100; i++)
        {
            Actor object = new Object1();
            // random location
            int x = Greenfoot.getRandomNumber(50)*20;
            int y = Greenfoot.getRandomNumber(50)*20;
            // add to world
            addObject(object, x, y);
        }
        
        // two houses
        addObject(new House(), 400, 30);
        addObject(new House(), 800, 300);
        
        // some pokemons
        for(int i=0; i<10; i++)
        {
            Actor object = new Poke1();
            int x = Greenfoot.getRandomNumber(50)*20;
            int y = Greenfoot.getRandomNumber(50)*20;
            addObject(object, x, y);
        }
        
        // and even more pokemons
        for(int i=0; i<10; i++)
        {
            Actor object = new Poke2();
            int x = Greenfoot.getRandomNumber(50)*20;
            int y = Greenfoot.getRandomNumber(50)*20;
            addObject(object, x, y);
        }
        
        
        // the player
        addObject(player, 300, 200);
    }
    
    
    public void act()
    {
        // always center the player
        centerTo(player);
        
        
    }
}
